<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
ReservedWriter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jsmat.ReservedWriter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ReservedWriter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ReservedWriter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jsmat/ReservedMatrixWriter.html" title="class in ch.javasoft.jsmat"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jsmat/VariableWriter.html" title="interface in ch.javasoft.jsmat"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/jsmat/ReservedWriter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReservedWriter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jsmat</FONT>
<BR>
Class ReservedWriter</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jsmat.ReservedWriter</B>
</PRE>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>, <A HREF="../../../ch/javasoft/jsmat/ReservedMatrixWriter.html" title="class in ch.javasoft.jsmat">ReservedMatrixWriter</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.87"><B>ReservedWriter</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
A <tt>ReservedWriter</tt> is the abstract superclass for reserved writers. 
 Reserved writers are used to write data piecewise to a 
 <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable"><CODE>MatReserved</CODE></A> variable, which are placeholders for data.
 <p>
 For simple (matrix) data types, a <A HREF="../../../ch/javasoft/jsmat/ReservedMatrixWriter.html" title="class in ch.javasoft.jsmat"><CODE>ReservedMatrixWriter</CODE></A> is used which
 extends this class by an <A HREF="../../../ch/javasoft/jsmat/ReservedMatrixWriter.html#append(A)"><CODE>append</CODE></A>
 method.It is usually created by invoking <A HREF="../../../ch/javasoft/jsmat/MatWriter.html#createReservedWriter(java.lang.String, ch.javasoft.jsmat.variable.MatReservedMatrix)"><CODE>MatWriter.createReservedWriter</CODE></A>.
 <p>
 For <A HREF="../../../ch/javasoft/jsmat/variable/MatReservedComplex.html" title="class in ch.javasoft.jsmat.variable"><CODE>complex data types</CODE></A> such as structures (e.g. 
 see <A HREF="../../../ch/javasoft/jsmat/variable/MatReservedStructure.html" title="class in ch.javasoft.jsmat.variable"><CODE>MatReservedStructure</CODE></A>), a <A HREF="../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat"><CODE>ReservedComplexWriter</CODE></A> for the 
 complex type is created first by calling <A HREF="../../../ch/javasoft/jsmat/MatWriter.html#createReservedWriter(java.lang.String, ch.javasoft.jsmat.variable.MatReservedComplex)"><CODE>MatWriter.createReservedWriter</CODE></A>. With the returned complex writer,
 <A HREF="../../../ch/javasoft/jsmat/variable/MatReservedComplex.html#createReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReservedMatrix)"><CODE>MatReservedComplex.createReservedWriter(ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReservedMatrix)</CODE></A>
 returns the simple writer for the nested reserved variable such as a 
 structure field.
 <p>
 The following code writes int values into a variable:
 <pre> 
                MatReservedMatrix<int[]> ri = MatReservedMatrix.createIntMatrix(1, 8);
                MatFileWriter wf = new MatFileWriter(new File("/tmp/tst.mat"));
                ReservedMatrixWriter<int[]> wi = rs.createReservedWriter(ws, ri);
                wi.append(new int[] {1, 2, 3, 4});
                wi.append(new int[] {5, 6, 7, 8});
                wi.close();
                wf.close();
 </pre>  
 <p>
 The following code writes double values to a structure field:
 <pre> 
                MatReservedStructure rs;
                MatReservedMatrix<double[]> rd;
                ...
                MatFileWriter  wf = new MatFileWriter(new File("/tmp/tst.mat"));
                ReservedComplexWriter ws = wf.createReservedWriter("stru", rs);
                ReservedMatrixWriter<double[]> wd = rs.createReservedWriter(ws, rd);
                wd.append(new double[] {1, 2, 3, 4});
                wd.append(new double[] {5, 6, 7, 8});
                wd.close();
                ws.close();
                wf.close();
 </pre>
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#mDataOutput">mDataOutput</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#mReserved">mReserved</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../ch/javasoft/jsmat/MatWriter.html" title="class in ch.javasoft.jsmat">MatWriter</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#mWriter">mWriter</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#ReservedWriter(ch.javasoft.jsmat.MatWriter, ch.javasoft.jsmat.variable.MatReserved)">ReservedWriter</A></B>(<A HREF="../../../ch/javasoft/jsmat/MatWriter.html" title="class in ch.javasoft.jsmat">MatWriter</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&gt;&nbsp;writer,
                             <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A>&nbsp;reserved)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor to write to top-level variables.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#ReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReserved)">ReservedWriter</A></B>(<A HREF="../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>&nbsp;complexWriter,
                             <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A>&nbsp;reserved)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor to write to complex types, such as structs.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#close()">close</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes the reserved writer and completes writing of the corresponding 
 reserved variable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#closeVariableWriter()">closeVariableWriter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jsmat/ReservedWriter.html#open(java.lang.String)">open</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Opens the variable writer (if needed) and writes the start block of the
 reserved variable.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="mWriter"><!-- --></A><H3>
mWriter</H3>
<PRE>
protected final <A HREF="../../../ch/javasoft/jsmat/MatWriter.html" title="class in ch.javasoft.jsmat">MatWriter</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&gt; <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.89"><B>mWriter</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="mReserved"><!-- --></A><H3>
mReserved</H3>
<PRE>
protected final <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A> <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.90"><B>mReserved</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="mDataOutput"><!-- --></A><H3>
mDataOutput</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A> <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.93"><B>mDataOutput</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ReservedWriter(ch.javasoft.jsmat.ReservedComplexWriter, ch.javasoft.jsmat.variable.MatReserved)"><!-- --></A><H3>
ReservedWriter</H3>
<PRE>
protected <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.102"><B>ReservedWriter</B></A>(<A HREF="../../../ch/javasoft/jsmat/ReservedComplexWriter.html" title="class in ch.javasoft.jsmat">ReservedComplexWriter</A>&nbsp;complexWriter,
                         <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A>&nbsp;reserved)</PRE>
<DL>
<DD>Constructor to write to complex types, such as structs.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>complexWriter</CODE> - the writer for the complex type<DD><CODE>reserved</CODE> - the reserved variable of the nested type, e.g. a 
                                                field of a struct</DL>
</DL>
<HR>

<A NAME="ReservedWriter(ch.javasoft.jsmat.MatWriter, ch.javasoft.jsmat.variable.MatReserved)"><!-- --></A><H3>
ReservedWriter</H3>
<PRE>
protected <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.112"><B>ReservedWriter</B></A>(<A HREF="../../../ch/javasoft/jsmat/MatWriter.html" title="class in ch.javasoft.jsmat">MatWriter</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&gt;&nbsp;writer,
                         <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html" title="class in ch.javasoft.jsmat.variable">MatReserved</A>&nbsp;reserved)</PRE>
<DL>
<DD>Constructor to write to top-level variables.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>writer</CODE> - the mat writer, e.g. writing a matlab file<DD><CODE>reserved</CODE> - the reserved variable</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="open(java.lang.String)"><!-- --></A><H3>
open</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.124"><B>open</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)
             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Opens the variable writer (if needed) and writes the start block of the
 reserved variable.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the variable name
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an io exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="close()"><!-- --></A><H3>
close</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.151"><B>close</B></A>()
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Closes the reserved writer and completes writing of the corresponding 
 reserved variable.
 <p>
 Writes the data end block before closing (see 
 <A HREF="../../../ch/javasoft/jsmat/variable/MatReserved.html#writeDataBlockEnd(java.io.DataOutput)"><CODE>MatReserved.writeDataBlockEnd(DataOutput)</CODE></A>). The underlying
 variable writer is also closed if needed.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any io exception occurrs</DL>
</DD>
</DL>
<HR>

<A NAME="closeVariableWriter()"><!-- --></A><H3>
closeVariableWriter</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/jsmat/ReservedWriter.html#line.155"><B>closeVariableWriter</B></A>()
                            throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ReservedWriter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jsmat/ReservedMatrixWriter.html" title="class in ch.javasoft.jsmat"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jsmat/VariableWriter.html" title="interface in ch.javasoft.jsmat"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/jsmat/ReservedWriter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReservedWriter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
